<?php
# 2005 apr 30
class commontool
{
  var $delimseparator;
  function commontool
  (
  )
  {
    $this->delimseparator = " ";
    return;
  }

  function getstrordlist
  (
    $origstr
  )
  {
    $str = "";
    for ($counter=0;$counter<strlen($origstr);$counter++)
    {
      $str .= sprintf("%s%s", ord($origstr[$counter]), $this->delimseparator);
    }
    $str = trim($str);
    return $str;
  }

  function getordliststr
  (
    $origstr
  )
  {
    $tokens = preg_split("/\ /", trim($origstr));
    $str = "";
    for ($counter=0;$counter<sizeof($tokens);$counter++)
    {
      $str .= sprintf("%s", chr($tokens[$counter]));
    }
    return $str;
  }

  function getjstags
  (
  )
  {
    $delimseparator = $this->delimseparator;
    $str = "";
    $str .= <<<_STR_
<script>
function counterobj
(
  initvalue,
  unitvalue
)
{
  this.counter = Number(initvalue);
  this.unit = Number(unitvalue);
  this.increment=function(){this.counter += this.unit;}
  this.decrement=function(){this.counter -= this.unit;}
  return;
}
function getstrordlist
(
  str
)
{
  var ordlist='';
  var counter=0;

  for (counter=0;counter<str.length;counter++)
  {
    ordlist = ordlist.concat(str.charCodeAt(counter) + '${delimseparator}');
  }

  return ordlist;
}
function getordliststr
(
  ordlist
)
{
  var str='';
  var counter=0;
  var ordarray=ordlist.split('${delimseparator}');

  for (counter=0;counter<ordarray.length;counter++)
  {
    str = str.concat(String.fromCharCode(Number(ordarray[counter])));
  }

  return str;
}
function getelementchildlist
(
  element,
  matchname
)
{
  var str='';
  var obj;
  try
  {
    for (obj in element)
    {
      if (obj.match(new RegExp('^(.*)' + matchname + '(.*)$')) != null)
      {
        str = str.concat(obj+' ');
      }
    }
  }
  catch
  (
    exception
  )
  {
    str = exception.message;
  }
  return str;
}
function getelembyname
(
  elemlist,
  elemname
)
{
  var elem=null;
  var counter=0;
  for(counter=0;counter<elemlist.length;counter++)
  {
    if (elemlist[counter].name == elemname)
    {
      elem = elemlist[counter];
      break;
    }
  }
  return elem;
}
</script>
_STR_;
    return $str;
  }

  function getstrunicode
  (
    $origstr
  )
  {
    $str = "";
    for ($counter=0;$counter<strlen($origstr);$counter++)
    {
      $str .= sprintf("&#%05d;", ord($origstr[$counter]));
    }
    $str = trim($str);
    return $str;
  }

  function gettextfieldformat
  (
    $origstr
  )
  {
    $fromstr = stripslashes($origstr);
    $str = "";
    for ($counter=0;$counter<strlen($fromstr);$counter++)
    {
      if (($fromstr[$counter] == "\"") ||
          ($fromstr[$counter] == "'") ||
          ($fromstr[$counter] == "<") ||
          ($fromstr[$counter] == ">") ||
          ($fromstr[$counter] == "/") ||
          ($fromstr[$counter] == "\\"))
      {
        $str .= sprintf("%s", $this->getstrunicode($fromstr[$counter]));
        continue;
      }
      $str .= sprintf("%s", $fromstr[$counter]);
    }
    return $str;
  }

  function getdbtablefields
  (
    $tablename
  )
  {
    unset($fields);
    $sql = sprintf("describe %s;", $tablename);
    $db = new dbmysql();
    $db->setquery($sql);
    reset($db->result);
    while(list($dbkey,$dbvalue) = each($db->result))
    {
      $fields["".sprintf("%s", $dbvalue[".Field"])] = "";
    }
    return $fields;
  }

  function getarrayoptiontags
  (
    $optionarray,
    $selectedoption
  )
  {
    $str = "";
    if (sizeof($optionarray) <= 0)
    {
      return $str;
    }
    reset($optionarray);
    while(list($optionkey,$optionvalue) = each($optionarray))
    {
      $selected = "";
      if ($selectedoption == $optionkey)
      {
        $selected = sprintf("selected=\"%s\"", "true");
      }
      $str .= <<<_STR_
<option value="${optionkey}" ${selected}>${optionvalue}</option>
_STR_;
    }
    return $str;
  }

  function getwrapstring
  (
    $origstr,
    $position,
    $delimseparator
  )
  {
    $str = $origstr;
    $linepos = 0;
    $tempstr = "";
    for ($counter=0;$counter<strlen($origstr);$counter++)
    {
      if ($origstr[$counter] == "\n")
      {
        $tempstr .= sprintf("%s", $origstr[$counter]);
        $linepos = 0;
        continue;
      }
      if (($linepos > 0) && (($linepos % $position) == 0))
      {
        $tempstr .= sprintf("%s", $delimseparator);
        $linepos = 0;
      }
      $tempstr .= sprintf("%s", $origstr[$counter]);
      $linepos++;
    }
    $str = $tempstr;
    return $str;
  }

  function getprefixkeyarray
  (
    $fields,
    $prefix,
    $mode
  )
  {
    unset($prefixkeyarray);
    if ($mode == "add")
    {
      $fields = unserialize(serialize($fields));
      reset($fields);
      while(list($fieldkey,$fieldvalue) = each($fields))
      {
        $prefixkeyarray[sprintf("%s%s", $prefix, $fieldkey)] = $fieldvalue;
      }
    }
    if ($mode == "remove")
    {
      reset($fields);
      while(list($fieldkey,$fieldvalue) = each($fields))
      {
        if (preg_match("/^${prefix}(.*)$/", $fieldkey, $matches) == true)
        {
          $prefixkeyarray[sprintf("%s", $matches[1])] = $fieldvalue;
        }
      }
    }
    return $prefixkeyarray;
  }
}
?>
