-- MySQL dump 8.21
--
-- Host: localhost    Database: conveni
---------------------------------------------------------
-- Server version	3.23.49

--
-- Table structure for table 'itemlist'
--

DROP TABLE IF EXISTS itemlist;
CREATE TABLE itemlist (
  id int(11) NOT NULL auto_increment,
  lastinsert datetime default '0000-00-00 00:00:00',
  lastupdate datetime default '0000-00-00 00:00:00',
  usernameinsert varchar(64) NOT NULL default '',
  usernameupdate varchar(64) NOT NULL default '',
  itemname varchar(64) NOT NULL default '',
  unitprice decimal(10,2) NOT NULL default '0.00',
  description longtext,
  PRIMARY KEY  (id),
  UNIQUE KEY itemkey (itemname)
) TYPE=MyISAM;

--
-- Dumping data for table 'itemlist'
--


INSERT INTO itemlist VALUES (1,'2005-08-01 21:36:56','2005-08-01 21:37:05','admin','admin','Cola',2.50,'');
INSERT INTO itemlist VALUES (2,'2005-08-01 21:37:12','2005-08-01 21:37:18','admin','admin','Hamburger',3.50,'');
INSERT INTO itemlist VALUES (3,'2005-08-01 21:37:28','2005-08-01 21:37:32','admin','admin','Fries',4.50,'');

--
-- Table structure for table 'itemorder'
--

DROP TABLE IF EXISTS itemorder;
CREATE TABLE itemorder (
  id int(11) NOT NULL auto_increment,
  lastinsert datetime default '0000-00-00 00:00:00',
  lastupdate datetime default '0000-00-00 00:00:00',
  usernameinsert varchar(64) NOT NULL default '',
  usernameupdate varchar(64) NOT NULL default '',
  orderid varchar(64) NOT NULL default '',
  itemname varchar(64) NOT NULL default '',
  quantity int(11) NOT NULL default '0',
  PRIMARY KEY  (id),
  UNIQUE KEY itemorderkey (orderid,itemname)
) TYPE=MyISAM;

--
-- Dumping data for table 'itemorder'
--



--
-- Table structure for table 'loginaccount'
--

DROP TABLE IF EXISTS loginaccount;
CREATE TABLE loginaccount (
  id int(11) NOT NULL auto_increment,
  lastinsert datetime default '0000-00-00 00:00:00',
  lastupdate datetime default '0000-00-00 00:00:00',
  username varchar(64) NOT NULL default '',
  password varchar(64) NOT NULL default '',
  PRIMARY KEY  (id),
  UNIQUE KEY username (username)
) TYPE=MyISAM;

--
-- Dumping data for table 'loginaccount'
--


INSERT INTO loginaccount VALUES (1,'0000-00-00 00:00:00','2005-05-10 21:46:49','admin','');

--
-- Table structure for table 'loginpermission'
--

DROP TABLE IF EXISTS loginpermission;
CREATE TABLE loginpermission (
  id int(11) NOT NULL auto_increment,
  lastinsert datetime default '0000-00-00 00:00:00',
  lastupdate datetime default '0000-00-00 00:00:00',
  username varchar(64) NOT NULL default '',
  permission varchar(64) NOT NULL default '',
  PRIMARY KEY  (id),
  UNIQUE KEY userpermkey (username,permission)
) TYPE=MyISAM;

--
-- Dumping data for table 'loginpermission'
--



